Status: Resolved Priority: Should have
Author: Mathias Bolt Lesniak Category:
Created: 2013-12-13 Assigned To:
Updated: 2014-02-08 Due date:
Subject: Upload of non-image results in Catchable Fatal Error
Description

Hi!

I get a Catchable Fatal Error in Neos 1.0, when uploading a non-image file in the Media Manager (/neos/management/media). See
attached file for full debug info.

#1: Catchable Fatal Error: Argument 1 passed to TYPO3\Media\ViewHelpers\ImageViewHelper_Original::render() must
implement interface TYPO3\Media\Domain\Model\ImageInterface, instance of TYPO3\Media\Domain\Model\Asset given in
/Volumes/Data/Users/mathias/ApacheSites/oksval2.net.local/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Media_ViewHelpers_ImageViewHelper.php line 104

/TYPO3_Media_ViewHelpers_ImageViewHelper.php line 104

I tested with a Word file called "test.doc". Uploading a JPEG file works fine.

- Mathias

Associated revisions
Revision 1c12994c - 2014-02-08 17:13 - Rens Admiraal

[BUGFIX] Upload of non-image results in Catchable Fatal Error

Uploading a non-image asset into the media manager results in a fatal
error as the ImageViewHelper only processes assets implementing the
ImageInterface.

This change adds default icons for common file extensions and uses
a default fallback icon if no matching icon is found.

Change-Id: I8769987d34ac54a3d36e6d3374040438edf30612
Fixes: #54399
Fixes: #54584
Releases: master, 1.0
Reviewed-on: https://review.typo3.org/26549
Reviewed-by: Karsten Dambekalns
Tested-by: Karsten Dambekalns

Revision 31b1d7ee - 2014-02-10 12:37 - Rens Admiraal

[BUGFIX] Upload of non-image results in Catchable Fatal Error

Uploading a non-image asset into the media manager results in a fatal
error as the ImageViewHelper only processes assets implementing the
ImageInterface.

This change adds default icons for common file extensions and uses
a default fallback icon if no matching icon is found.

Change-Id: I8769987d34ac54a3d36e6d3374040438edf30612
Fixes: #54399
Fixes: #54584
Releases: master, 1.0
Reviewed-on: https://review.typo3.org/27467
Tested-by: Karsten Dambekalns
Reviewed-by: Carsten Bleicker
Tested-by: Carsten Bleicker
Reviewed-by: Karsten Dambekalns

History
#1 - 2013-12-13 18:47 - Christian Müller
- Status changed from New to Accepted

We should show a placeholder for non image files in the mediabrowser.

#2 - 2013-12-23 12:58 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 2 for branch master of project Packages/TYPO3.Media has been pushed to the review server.
It is available at https://review.typo3.org/26549

#3 - 2013-12-25 00:35 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.Media has been pushed to the review server.
It is available at https://review.typo3.org/26549

#4 - 2013-12-25 00:35 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.Media has been pushed to the review server.
It is available at https://review.typo3.org/26549

#5 - 2013-12-28 11:13 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.Media has been pushed to the review server.
It is available at https://review.typo3.org/26549

#6 - 2014-01-04 20:47 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.Media has been pushed to the review server.
It is available at https://review.typo3.org/26549

#7 - 2014-01-04 20:52 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.Media has been pushed to the review server.
It is available at https://review.typo3.org/26549

#8 - 2014-01-04 21:05 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.Media has been pushed to the review server.
It is available at https://review.typo3.org/26549

#9 - 2014-01-04 21:06 - Gerrit Code Review

Patch set 9 for branch master of project Packages/TYPO3.Media has been pushed to the review server.
It is available at https://review.typo3.org/26549

#10 - 2014-01-04 21:06 - Gerrit Code Review

Patch set 10 for branch master of project Packages/TYPO3.Media has been pushed to the review server.
It is available at https://review.typo3.org/26549

#11 - 2014-02-08 17:12 - Gerrit Code Review

Patch set 11 for branch master of project Packages/TYPO3.Media has been pushed to the review server.
It is available at https://review.typo3.org/26549

#12 - 2014-02-08 17:14 - Gerrit Code Review

Patch set 1 for branch 1.0 of project Packages/TYPO3.Media has been pushed to the review server.
It is available at https://review.typo3.org/27467

#13 - 2014-02-08 17:35 - Rens Admiraal
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:1c12994c2d626225d77df0ea4971e446fc8f8dc0.

Files
201312131608414f8564.txt 8.3 kB 2013-12-13 Mathias Bolt Lesniak
